// Messages
// note that some messages do not apply to all clients (eg. the taskbar client has no tray icon)

// Actions
const int WM_SAM_RELOAD_CONFIG            = 40000; // tells Samurize to reload
const int WM_SAM_PAUSE                    = 40001; // sets pause (use wparam=0 for unpause, 1 for pause)
const int WM_SAM_SHOW                     = 40002; // sets Samurize visible (use wparam=0 for hide, 1 for show)
const int WM_SAM_SHOWTRAYICON             = 40003; // set tray icon visibility (use wparam=0 for hide, 1 for show)
const int WM_SAM_EXIT                     = 40004; // exits Samurize
const int WM_SAM_SET_CLIENTSETTING        = 40005; // sets client settings according to wparam (see below), 0=false, 1=true
const int WM_SAM_SET_CLIENTPOSITION       = 40006; // sets client behaviour (use wparam, 0=on top, 1=pinned, 2=normal)
const int WM_SAM_LOAD_CONFIGFILE          = 40007; // pass a pointer to a string as lparam - tells Samurize to load that config file.
                                         // (eg. "myconfig.ini")
const int WM_SAM_SET_REFRESHINTERVAL      = 40008; // set the client refresh rate using wparam

// Information

// strings
const int WM_SAM_GET_INSTANCENAME         = 40020; // returns pointer to string containing instance name
const int WM_SAM_GET_CONFIGNAME           = 40021; // returns pointer to string containing config file name
const int WM_SAM_GET_CONFIGPATH           = 40022; // returns pointer to string containing full path to config file
const int WM_SAM_GET_LANGUAGEFILE         = 40023; // returns pointer to name of language file

// integers
const int WM_SAM_GET_CLIENTPOSITION       = 40050; // sets client behaviour (use wparam, 0=on top, 1=pinned, 2=normal)
const int WM_SAM_GET_CLIENTSETTING        = 40051; // gets client settings according to wparam (see below), 0=false, 1=true
const int WM_SAM_GET_REFRESHINTERVAL      = 40052; // returns client refresh rate

// booleans, returns 0 for false, 1 for true
const int WM_SAM_IS_PAUSED                = 40080;
const int WM_SAM_IS_VISIBLE               = 40081;
const int WM_SAM_IS_TRAYICONVISIBLE       = 40082;

// sending data(external apps) using WM_COPYDATA
const int SAM_LOAD_CONFIG             = 1000; // tells Samurize to load a config

// wparams for use with WM_SAM_GET_CLIENTSETTING & WM_SAM_SET_CLIENTSETTING
const int SAM_CLIENT_LOCKED           = 2000;
const int SAM_CLIENT_CLICKTHRU        = 2001;
const int SAM_CLIENT_USEDESIGNPOS     = 2002;
const int SAM_CLIENT_SNAP             = 2003;

#define SAMURIZE_PLUGIN_CHAR  extern "C" __declspec(dllexport) char* __stdcall
#define SAMURIZE_PLUGIN_INT   extern "C" __declspec(dllexport) int __stdcall


